
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, bison, cacert, catkin, flex, mk, openssl, rosbash, rosbuild, roslib, rospack, unzip }:
buildRosPackage {
  pname = "ros-noetic-ff";
  version = "2.1.31-r4";

  src = fetchurl {
    url = "https://github.com/tork-a/jsk_3rdparty-release/archive/release/noetic/ff/2.1.31-4.tar.gz";
    name = "2.1.31-4.tar.gz";
    sha256 = "d448206527c28d08d2e093e72cf6929769f70704bd3f94892bcaaecaa3cdc087";
  };

  buildType = "catkin";
  buildInputs = [ bison cacert catkin flex mk openssl rosbash rosbuild roslib rospack unzip ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "ff: pddl planner. see http://www.loria.fr/~hoffmanj/ff.html";
    license = with lib.licenses; [ "GPL" ];
  };
}
