
# Copyright 2025 Open Source Robotics Foundation
# Distributed under the terms of the BSD license

{ lib, buildRosPackage, fetchurl, catkin, rosemacs, roslisp-repl, slime-ros, slime-wrapper }:
buildRosPackage {
  pname = "ros-noetic-ros-emacs-utils";
  version = "0.4.18-r1";

  src = fetchurl {
    url = "https://github.com/code-iai-release/ros_emacs_utils-release/archive/release/noetic/ros_emacs_utils/0.4.18-1.tar.gz";
    name = "0.4.18-1.tar.gz";
    sha256 = "d327af3f1eb230aceb2aae9102fdd246e6bbed89564140ae60a8ec436607a7da";
  };

  buildType = "catkin";
  buildInputs = [ catkin ];
  propagatedBuildInputs = [ rosemacs roslisp-repl slime-ros slime-wrapper ];
  nativeBuildInputs = [ catkin ];

  meta = {
    description = "A metapackage of Emacs utils for ROS.
    Only there for simplifying the release process.";
    license = with lib.licenses; [ bsdOriginal ];
  };
}
